#ifndef LEVEL_MANAGER_INCLUDE_H
#define LEVEL_MANAGER_INCLUDE_H

#include <genesis.h>

#include "Level.h"

void LevelManager_Init();
void LevelManager_StartLevel();
void LevelManager_UpdateLevel();
void LevelManager_ReturnFromMenu();
void LevelManager_SwitchToLevel(u16 levelNumber);
void LevelManager_RestartLevel();

void LevelManager_SetLevel(const Level* level);

extern const Level* currentLevel;

extern const VPMap* currentForegroundMap;
extern const VPMap* currentBackgroundMap;

#endif
