#include "level002.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\generated\AllLevels.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"

void Level002_InitLevel()
{
    LOAD_GENRES_SPRITE_TO_VDP(enemy);

    FadeManager_SetPalette(PAL0, penguinHeadSprite.pal);
    FadeManager_SetPalette(PAL1, enemySprite.pal);
    FadeManager_SetPalette(PAL2, foresttilesetSprite.pal);
    FadeManager_SetPalette(PAL3, forestbackground2_tilesetSprite.pal);
}

void Level002_UpdateLevel()
{

}

const Level level002 =
{
    Level002_InitLevel,
    Level002_UpdateLevel,
    &forest002,
    &forestbackground002,
    &level003
};

