#ifndef COMPLEX_ANIMATION_TYPES_HEADER_H
#define COMPLEX_ANIMATION_TYPES_HEADER_H

#include <genesis.h>

#include "GGAnimationTypes.h"

typedef struct
{
    const GGAnimation* const ggAnimation;
    s16 x;
    s16 y;
    u16 animationFrame;
} ComplexAnimationPart;

typedef struct
{
    const ComplexAnimationPart* const parts;
    u16 numParts;
} ComplexAnimation;

#endif
