#include "GameOverScreen.h"

#include <genesis.h>

#include "LevelManager.h"
#include "JoypadManager.h"
#include "StateManager.h"
#include "TitleScreen.h"
#include "VDP_Extra.h"

void GameOverScreen_Update()
{
    if (joystickState.startPressed)
    {
        StateManager_ChangeToState(TitleScreen_Start);
    }
}

void GameOverScreen_Start()
{
    MyVDP_waitVSync();

    VDP_setEnable(0);

    VDPManager_ResetDisplay();

    VDP_drawText("GAME  OVER", 15, 12);

    VDP_setEnable(1);

    StateManager_ChangeToState(GameOverScreen_Update);
}
