#ifndef OBJECT_STREAMER_INCLUDE_H
#define OBJECT_STREAMER_INCLUDE_H

#include <genesis.h>

#include "ObjectStruct.h"

#define SECTION_SIZE_PIXELS 16
#define SECTION_SIZE_TILES 2

typedef struct
{
    u16 objectId;
    ObjectCreateFunctionType createObject;
    s16 x;
    s16 y;
} SpawnStruct;

typedef const SpawnStruct* const * SpawnList;
typedef SpawnList const* SpawnSections;


void ObjectStreamer_Init();
void ObjectStreamer_DestroyObject(ObjectStruct* object);
extern void (*ObjectStreamer_Update)();

#endif
