#include "StateManager.h"

#include "JoypadManager.h"

StateFunctionType StateManager_CurrentState;

void StateManager_Init()
{
    StateManager_CurrentState = NULL;
}

#ifndef DEBUG_STATE_MANAGER
void StateManager_ChangeToState(StateFunctionType stateFunction)
#else
void StateManager_ChangeToStateFunction(StateFunctionType stateFunction)
#endif
{
    JoypadManager_ResetJoypad();
    StateManager_CurrentState = stateFunction;
}

