#include "TitleScreen.h"

#include <genesis.h>

#include "LevelManager.h"
#include "JoypadManager.h"
#include "StateManager.h"
#include "VDP_Extra.h"

void TitleScreen_Update()
{
    if (joystickState.startPressed)
    {
        StateManager_ChangeToState(LevelManager_Init);
    }
}

void TitleScreen_Start()
{
    MyVDP_waitVSync();

    VDP_setEnable(0);

    VDPManager_ResetDisplay();
    VDP_drawText("VIOLENCE PINGOUIN", 12, 5);
    VDP_drawText("   AGAINST THE", 12, 6);
    VDP_drawText(" ROBOT  DARKNESS", 12, 7);
    VDP_drawText("  PRESS  START", 12, 20);

    VDP_setEnable(1);

    StateManager_ChangeToState(TitleScreen_Update);
}
