#include "level001.h"

#include <genesis.h>

#include "..\Debug.h"
#include "..\generated\AllLevels.h"
#include "..\exported\ExportedGenResSprites.h"
#include "..\exported\ExportedMaps.h"
#include "..\FadeManager.h"
#include "..\MathUtils.h"
#include "..\VDPManager.h"

void Level001_InitLevel()
{
    LOAD_GENRES_SPRITE_TO_VDP(enemy);

    FadeManager_SetPalette(PAL0, penguinHeadSprite.pal);
    FadeManager_SetPalette(PAL1, enemySprite.pal);
    FadeManager_SetPalette(PAL2, foresttilesetSprite.pal);
    FadeManager_SetPalette(PAL3, forestbackground2_tilesetSprite.pal);
}

void Level001_UpdateLevel()
{

}

const Level level001 =
{
    Level001_InitLevel,
    Level001_UpdateLevel,
    &forest001,
    &forestbackground001,
    &level002
};

